package com.eversec.kit.creator.impl.page;

import com.eversec.common.Kv;

import java.io.File;
import java.util.List;
import java.util.Map;

/**
 * @author: liangxianyou at 2018/8/7 12:44.
 */
public class EditCtrlKit extends PageKit {
    @Override
    public File getFile(String clazz) {
        return new File(filePath(clazz) + "/editCtrl.js");
    }

    @Override
    public String createStr(String clazz, List<Map> fieldList, Map para) {
        Kv kv = createTplData(clazz);
        kv.set("remark", para.get("remark"));
        kv.set("fileDir", getFileDir(clazz));
        kv.set("fieldList", fieldList);
        kv.set("hasDate", hasDate(fieldList));

        return engine.getTemplate(tplPath + "front/editCtrlTpl.js").renderToString(kv);
    }

    private boolean hasDate(List<Map> fieldList) {
        return fieldList.stream().filter(x-> "1".equals(String.valueOf(x.get("edit")))
                && "INPUT_DT".equalsIgnoreCase(String.valueOf(x.get("tag")))).count() > 0;
    }
}
